Package com.android.server.os

# Interface LinphoneTombstoneProtos.BacktraceFrameOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`

All Known Implementing Classes:
  `LinphoneTombstoneProtos.BacktraceFrame`, `LinphoneTombstoneProtos.BacktraceFrame.Builder`

Enclosing class:
  LinphoneTombstoneProtos

public static interface LinphoneTombstoneProtos.BacktraceFrameOrBuilder extends com.google.protobuf.MessageLiteOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getBuildId()`
`string build_id = 8;`
`com.google.protobuf.ByteString`
`getBuildIdBytes()`
`string build_id = 8;`
`long`
`getFileMapOffset()`
`uint64 file_map_offset = 7;`
`String`
`getFileName()`
`string file_name = 6;`
`com.google.protobuf.ByteString`
`getFileNameBytes()`
`string file_name = 6;`
`String`
`getFunctionName()`
`string function_name = 4;`
`com.google.protobuf.ByteString`
`getFunctionNameBytes()`
`string function_name = 4;`
`long`
`getFunctionOffset()`
`uint64 function_offset = 5;`
`long`
`getPc()`
`uint64 pc = 2;`
`long`
`getRelPc()`
`uint64 rel_pc = 1;`
`long`
`getSp()`
`uint64 sp = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### getRelPc

long getRelPc()
`uint64 rel_pc = 1;`

Returns:
  The relPc.

### getPc

long getPc()
`uint64 pc = 2;`

Returns:
  The pc.

### getSp

long getSp()
`uint64 sp = 3;`

Returns:
  The sp.

### getFunctionName

String getFunctionName()
`string function_name = 4;`

Returns:
  The functionName.

### getFunctionNameBytes

com.google.protobuf.ByteString getFunctionNameBytes()
`string function_name = 4;`

Returns:
  The bytes for functionName.

### getFunctionOffset

long getFunctionOffset()
`uint64 function_offset = 5;`

Returns:
  The functionOffset.

### getFileName

String getFileName()
`string file_name = 6;`

Returns:
  The fileName.

### getFileNameBytes

com.google.protobuf.ByteString getFileNameBytes()
`string file_name = 6;`

Returns:
  The bytes for fileName.

### getFileMapOffset

long getFileMapOffset()
`uint64 file_map_offset = 7;`

Returns:
  The fileMapOffset.

### getBuildId

String getBuildId()
`string build_id = 8;`

Returns:
  The buildId.

### getBuildIdBytes

com.google.protobuf.ByteString getBuildIdBytes()
`string build_id = 8;`

Returns:
  The bytes for buildId.